------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]勇士剧情任务七（百兵谱）
--Creator:		林静
--Created:		2019/04/15
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>7


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(73, 67)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

hero:SetPos(72, 73)


CppScriptMgr:WaitMilSec(1000)
-- 半身像对话框
CppScriptMgr:NpcCallOut("Mmm...You`re the chosen one I`m waiting for...My instinct is always right. Now, unlock the Weapon Archives!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "FirstDragon", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("Oh, I feel something inside...me...Ahh!!!", 5000)
CppScriptMgr:WaitMilSec(5000)


-- 玩家跑动
hero:RunTo(72, 68)
CppScriptMgr:WaitMilSec(2000)


-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
-- CppScriptMgr:SetDarkScreen(1000)
-- CppScriptMgr:WaitMilSec(1000)

hero:AddEffect("npc_liandanlu")
CppScriptMgr:WaitMilSec(1000)
hero:SetLook(hero:GetLook(), false, true) 
CppScriptMgr:WaitMilSec(3000)

CppScriptMgr:NpcCallOut("Weapon Archives system has been unlocked. To achieve its real power, you need to inspire the spirits of the nine legendary weapons.", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("I won`t let you down!", 3000)
CppScriptMgr:WaitMilSec(3000)

local player  = CppScriptMgr:AddSimplePlayer(23000, 67, 61, "[GoldenTrojan]Mr.Pride", 4003000009,1)
CppScriptMgr:WaitMilSec(3000)

local player  = CppScriptMgr:AddSimplePlayer(1050040, 67, 63, "TrojanStar", 4003000019,1)
CppScriptMgr:WaitMilSec(3000)

local player  = CppScriptMgr:AddSimplePlayer(1064790, 67, 65, "LiXiaoyao", 4003000020,1)
CppScriptMgr:WaitMilSec(3000)





